Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 442980 - revdep-rebuild misses net-print/cups-filters
Summary: revdep-rebuild misses net-print/cups-filters
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Tools (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-13 13:24 UTC by alex Mezey
Modified: 2013-06-26 22:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alex Mezey 2012-11-13 13:24:52 UTC
I just completed:
emerge --newuse --update --deep world
emerge --depclean
revdep-rebuild

revdep-rebuild did not complain or do anything about
/usr/libexec/cups/filter/pdftopdf
which was broken due to a new version of libpoppler.
I guess some more files in that directory were broken.
I could not print due to this problem.
manually emerging net-print/cups-filters fixed it for me (for now), but took me 20 minutes of bug chasing.
Comment 1 Paul Varner (RETIRED) gentoo-dev 2012-11-13 20:15:39 UTC
Which version of gentoolkit do you have installed?
Comment 2 alex Mezey 2012-11-14 00:12:49 UTC
*  app-portage/gentoolkit
      Latest version available: 0.3.0.6-r3
      Latest version installed: 0.3.0.6-r3
Comment 3 Andreas K. Hüttel gentoo-dev 2013-06-26 22:22:40 UTC
This is fixed now via subslot dependency.